%global fontname adobe-source-code-pro
%global fontconf 61-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.017
Release:        5%{?dist}
Summary:        A set of mono-spaced OpenType fonts designed for coding environments 

Group:          User Interface/X
License:        OFL
URL:            http://sourceforge.net/projects/sourcecodepro.adobe
Source0:        http://downloads.sourceforge.net/project/sourcecodepro.adobe/SourceCodePro_FontsOnly-%{version}.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description    
This font was designed by Paul D. Hunt as a companion to Source Sans. It has
the same weight range as the corresponding Source Sans design.  It supports
a wide range of languages using the Latin script, and includes all the
characters in the Adobe Latin 4 glyph set.


%prep
%setup -q -n SourceCodePro_FontsOnly-%{version}


%build
sed -i 's/\r//' LICENSE.txt

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p OTF/*.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%clean

%_font_pkg -f %{fontconf} *.otf
%{_datadir}/appdata/%{fontname}.metainfo.xml

%doc SourceCodeProReadMe.html LICENSE.txt


%changelog
* Wed Oct 15 2014 Richard Hughes <richard@hughsie.com> - 1.017-5
- Add a MetaInfo file for the software center; this is a font we want to show.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.017-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Sep 13 2013 Matt Rose mattrose@folkwolf.net - 1.017-3
- rebuilt on fedora 19
* Mon Jan 21 2013 Tobias Florek me@ibotty.net - 1.017-2
- remove now empty clean section
* Thu Jan 17 2013 Tobias Florek me@ibotty.net - 1.017-1
- new upstream release
* Fri Dec 07 2012 Tobias Florek me@ibotty.net - 1.013-1
- new upstream release
* Tue Nov 18 2012 Tobias Florek me@ibotty.net - 1.010-2
- do not clean buildroot on install and clean
* Tue Oct  2 2012 Tobias Florek me@ibotty.net - 1.010-1
- new upstream release
* Tue Sep 25 2012 Tobias Florek me@ibotty.net - 1.009-3
- do not package ttf files
* Tue Sep 25 2012 Tobias Florek me@ibotty.net - 1.009-2
- Initial version
